﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace 複合検索ツ_ル
{
    public partial class FrmMain : Form
    {
        private int childFormNumber = 0;

        public FrmMain()
        {
            InitializeComponent();
        }

        private void ShowNewForm(object sender, EventArgs e)
        {
            // 子フォームの新しいインスタンスを作成します。
            Form childForm = new Form();
            // 表示する前に、この MDI フォームの子に設定します。
            childForm.MdiParent = this;
            childForm.Text = "ウィンドウ " + childFormNumber++;
            childForm.Show();
        }

        private void OpenFile(object sender, EventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.InitialDirectory = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            openFileDialog.Filter = "テキスト ファイル (*.txt)|*.txt";
            openFileDialog.ShowDialog(this);

            string FileName = openFileDialog.FileName;
            // TODO: ファイルを開くコードをここに追加します。
        }

        private void SaveAsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            SaveFileDialog saveFileDialog = new SaveFileDialog();
            saveFileDialog.InitialDirectory = Environment.GetFolderPath(Environment.SpecialFolder.Personal);
            saveFileDialog.Filter = "テキスト ファイル (*.txt)|*.txt";
            saveFileDialog.ShowDialog(this);

            string FileName = saveFileDialog.FileName;
            // TODO: 現在のフォームの内容をファイルに保存するためのコードをここに追加します
        }

        private void ExitToolsStripMenuItem_Click(object sender, EventArgs e)
        {
            Application.Exit();
        }

        private void CutToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // TODO: System.Windows.Forms.Clipboard 使用して、選択されたテキストまたはイメージをクリップボードに挿入します
        }

        private void CopyToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // TODO: System.Windows.Forms.Clipboard 使用して、選択されたテキストまたはイメージをクリップボードに挿入します
        }

        private void PasteToolStripMenuItem_Click(object sender, EventArgs e)
        {
            // TODO: System.Windows.Forms.Clipboard.GetText() または System.Windows.Forms.GetData を使用して、情報をクリップボードから取得します。
        }



        private void CascadeToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.Cascade);
        }

        private void TileVerticleToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileVertical);
        }

        private void TileHorizontalToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.TileHorizontal);
        }

        private void ArrangeIconsToolStripMenuItem_Click(object sender, EventArgs e)
        {
            LayoutMdi(MdiLayout.ArrangeIcons);
        }

        private void CloseAllToolStripMenuItem_Click(object sender, EventArgs e)
        {
            foreach (Form childForm in MdiChildren)
            {
                childForm.Close();
            }
        }
    }
}