using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Web.Services.Protocols;
using System.Net;
using System.IO;
namespace Goozon
{
   
    public partial class FrmGoozon : Form
    {
        #region "NXϐ"
        const     int      MAX_RECODE = 5;
        private   string[] googleUrl_ = new string[MAX_RECODE];
        private   string[] amazonUrl_ = new string[MAX_RECODE];
        private   string[] amazonImageUrl_ = new string[MAX_RECODE];
        protected string   myWord;
        public    int      myIdentity;
        private   int      mytitileIndex;
        #endregion
        #region "RXgN^["
        public FrmGoozon(string keyWord, int setIdentity)
        {
            InitializeComponent();
            this.myWord =  keyWord;
            this.Text   += keyWord;
            this.myIdentity = setIdentity;
            /* Google Search */
            GoogleSearch();
            /* Amazon Search */
            AmazonSearch();


        }
        #endregion
        #region "A}]TCg֘A"
        protected void AmazonSearch()
        {
            AmazonWebService.KeywordRequest request = new AmazonWebService.KeywordRequest();
            request.devtag = "D2ZK4P6XEHAX07";	// ̃fxbp[Eg[Nɒu
            request.tag = "kanou.jp-22";
            request.keyword = this.myWord;
            request.mode = "books-jp";
            request.type = "heavy";
            request.locale = "jp";

            AmazonWebService.AmazonSearchService service = new AmazonWebService.AmazonSearchService();
            AmazonWebService.ProductInfo productInfo = null;
            try
            {
                productInfo = service.KeywordSearchRequest(request);
            }
            //For Error Added 
            catch (WebException we)
            {
                MessageBox.Show(we.Message + "@@@" + we.Source + we.Response.ToString());
            }
            catch (SoapException se)
            {
                MessageBox.Show("[ȃG[(Rł)̂Ō߂܂B\n" +
                    "[error: " + se.Message + "]");
                return;

            }
            string[] title = new string[MAX_RECODE];
            string[] description = new string[MAX_RECODE];
            foreach( Goozon.AmazonWebService.Details curDetail  in productInfo.Details) {
                int i = 0;
                title[i] = curDetail.ProductName;
                amazonUrl_[i] = "http://www.amazon.co.jp/exec/obidos/ASIN/" +
                    curDetail.Asin + "/kanoujp-22";
                amazonImageUrl_[i] = productInfo.Details[i].ImageUrlSmall;
                mytitileIndex = i;
                i++;
            }
            //for (int i = 0; i < title.Length; i++)
            //{
            //    title[i] = productInfo.Details[i].ProductName;
            //    amazonUrl_[i] = "http://www.amazon.co.jp/exec/obidos/ASIN/" +
            //        productInfo.Details[i].Asin + "/kanoujp-22";
            //    amazonImageUrl_[i] = productInfo.Details[i].ImageUrlSmall;
            //    //description[i] = productInfo.Details[i]
            //}
            /* set title */
            setAmazonTitle(title);
            /* set image */
            setAmazonImage();
            /* set description */
            setAmazonDescription(description);

        }

        private void setAmazonImage()
        {
            WebClient wc = new WebClient();
            if (amazonImageUrl_[0] != null)
            {
                Stream stream1 = wc.OpenRead(amazonImageUrl_[0]);
                Bitmap bitmap1 = new Bitmap(stream1);
                stream1.Close();
                PBresult1.Image = bitmap1;
            }
            if (amazonImageUrl_[1] != null)
            {
                Stream stream2 = wc.OpenRead(amazonImageUrl_[1]);
                Bitmap bitmap2 = new Bitmap(stream2);
                stream2.Close();
                PBresult2.Image = bitmap2;
            }
            if (amazonImageUrl_[2] != null)
            {
                Stream stream3 = wc.OpenRead(amazonImageUrl_[2]);
                Bitmap bitmap3 = new Bitmap(stream3);
                stream3.Close();
                PBresult3.Image = bitmap3;
            }
            if (amazonImageUrl_[3] != null)
            {
                Stream stream4 = wc.OpenRead(amazonImageUrl_[3]);
                Bitmap bitmap4 = new Bitmap(stream4);
                stream4.Close();
                PBresult4.Image = bitmap4;
            }
            if (amazonImageUrl_[4] != null)
            {

                Stream stream5 = wc.OpenRead(amazonImageUrl_[4]);
                Bitmap bitmap5 = new Bitmap(stream5);
                stream5.Close();
                PBresult5.Image = bitmap5;
            }
        }

        /// <summary>
        /// set amazon title label
        /// </summary>
        /// <param name="title">^Cgz</param>
        private void setAmazonTitle(string[] title)
        {
            if (mytitileIndex == 0)
            {
                LLblResultAmazon1.Text = StringUtils.RemoveTag(title[0]);
            }
            else if (mytitileIndex == 1) {
                LLblResultAmazon1.Text = StringUtils.RemoveTag(title[0]);
                LLblResultAmazon2.Text = StringUtils.RemoveTag(title[1]);
            }
            else if (mytitileIndex == 2)
            {
                LLblResultAmazon1.Text = StringUtils.RemoveTag(title[0]);
                LLblResultAmazon2.Text = StringUtils.RemoveTag(title[1]);
                LLblResultAmazon3.Text = StringUtils.RemoveTag(title[2]);
            }
            else if (mytitileIndex == 3)
            {
                LLblResultAmazon1.Text = StringUtils.RemoveTag(title[0]);
                LLblResultAmazon2.Text = StringUtils.RemoveTag(title[1]);
                LLblResultAmazon3.Text = StringUtils.RemoveTag(title[2]);
                LLblResultAmazon4.Text = StringUtils.RemoveTag(title[3]);
            }
            else if (mytitileIndex == 4)
            {
                LLblResultAmazon1.Text = StringUtils.RemoveTag(title[0]);
                LLblResultAmazon2.Text = StringUtils.RemoveTag(title[1]);
                LLblResultAmazon3.Text = StringUtils.RemoveTag(title[2]);
                LLblResultAmazon4.Text = StringUtils.RemoveTag(title[3]);
                LLblResultAmazon5.Text = StringUtils.RemoveTag(title[4]);
            }
        }

        private void setAmazonDescription(string[] description)
        {
            TxtAmazonDescription1.Text = description[0];
            TxtAmazonDescription2.Text = description[1];
            TxtAmazonDescription3.Text = description[2];
            TxtAmazonDescription4.Text = description[3];
            TxtAmazonDescription5.Text = description[4];
        }
        #endregion
        #region "O[OTCg֘A"
        private   void GoogleSearch()
        {
            /* make google web service */
            GoogleWebService.GoogleSearchService service
                                = new GoogleWebService.GoogleSearchService();
            /* make google search result */
            GoogleWebService.GoogleSearchResult result
                                = new GoogleWebService.GoogleSearchResult();

            /* execute google search */
            result = service.doGoogleSearch("gMMM3/ZQFHJR4FGCPZ4spF+qnARORtlL",
                                            //TxtGoozonSearch.Text,
                                            myWord,
                                            0,
                                            5,
                                            false,
                                            "",
                                            false,
                                            "ja",
                                            "UTF-8",
                                            "UTF-8");

            /* get and set result */
            GoogleWebService.ResultElement[] resultElement = result.resultElements;
            string[] title = new string[MAX_RECODE];
            for (int i = 0; i < resultElement.Length; i++)
            {
                title[i] = resultElement[i].title;
                googleUrl_[i] = resultElement[i].URL;
            }

            /* set title */
            setGoogleTitle(title);
        }

        /// <summary>
        /// set google title label
        /// </summary>
        /// <param name="title">^Cgz</param>
        private void setGoogleTitle(string[] title)
        {
            LLblResultGoogle1.Text = StringUtils.RemoveTag(title[0]);
            LLblResultGoogle2.Text = StringUtils.RemoveTag(title[1]);
            LLblResultGoogle3.Text = StringUtils.RemoveTag(title[2]);
            LLblResultGoogle4.Text = StringUtils.RemoveTag(title[3]);
            LLblResultGoogle5.Text = StringUtils.RemoveTag(title[4]);
        }
        #endregion
        #region /* NxƂ̋ */
        private void LLblResult1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(googleUrl_[0]);
        }

        private void LLblResult2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(googleUrl_[1]);
        }

        private void LLblResult3_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(googleUrl_[2]);
        }

        private void LLblResult4_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(googleUrl_[3]);
        }

        private void LLblResult5_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(googleUrl_[4]);
        }

        private void LLblResultAmazon1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(amazonUrl_[0]);
        }

        private void LLblResultAmazon2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(amazonUrl_[1]);
        }

        private void LLblResultAmazon3_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(amazonUrl_[2]);
        }

        private void LLblResultAmazon4_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(amazonUrl_[3]);
        }

        private void LLblResultAmazon5_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            // open blowser
            System.Diagnostics.Process.Start(amazonUrl_[4]);
        }
        #endregion
    }
}