﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Collections;
using System.Web;
using System.Net;
using System.Xml;
using System.IO;

namespace Goozon
{
    public partial class AmazonPanel : Form
    {
        public IEnumerator ItemEnumerator;
        
        public AmazonPanel(int count,string name)
        {
            InitializeComponent(count,name);
            AmazonSearch(name);
        }

        private void Amazon_Load(object sender, EventArgs e)
        {

        }
        private void label1_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label1.Text.Substring(4));            
        }
        private void label2_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label2.Text.Substring(4));
        }
        private void label3_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label3.Text.Substring(4));
        }
        private void label4_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label4.Text.Substring(4));
        }
        private void label5_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label5.Text.Substring(4));
        }
        private void label6_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label6.Text.Substring(4));
        }
        private void label7_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label7.Text.Substring(4));
        }
        private void label8_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label8.Text.Substring(4));
        }
        private void label9_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label9.Text.Substring(4));
        }
        private void label10_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label10.Text.Substring(4));
        }
        private void pictureBox1_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label1.Text.Substring(4));
        }
        private void pictureBox2_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label2.Text.Substring(4));
        }
        private void pictureBox3_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label3.Text.Substring(4));
        }
        private void pictureBox4_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label4.Text.Substring(4));
        }
        private void pictureBox5_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label5.Text.Substring(4));
        }
        private void pictureBox6_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label6.Text.Substring(4));
        }
        private void pictureBox7_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label7.Text.Substring(4));
        }
        private void pictureBox8_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label8.Text.Substring(4));
        }
        private void pictureBox9_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label9.Text.Substring(4));
        }
        private void pictureBox10_Click(object sender, EventArgs e)
        {
            System.Diagnostics.Process.Start(Label10.Text.Substring(4));
        }
        public void AmazonSearch(string _key)
        {
            ArrayList itemlist;
            System.IO.Stream stream = null;
            String today = DateTime.Now.ToString();
            today = today.Substring(0, 4) + "-" + today.Substring(5, 2) + "-" + today.Substring(8, 2);

            String URL = "http://webservices.amazon.co.jp/onca/xml?Service=AWSECommerceService&SubscriptionId=01WG5PXRTB8S951NP802&AssociateTag=&Operation=ItemSearch&Version=" + today + "&ResponseGroup=Large,ItemAttributes,Images&SearchIndex=Books&ItemPage=1&Keywords=" + _key + "&ContentType=text/xml";

            Cursor cursor = this.Cursor;
            try
            {

                this.Cursor = Cursors.WaitCursor;

                System.Net.WebRequest req = HttpWebRequest.Create(URL);
                WebResponse res = req.GetResponse();

                stream = res.GetResponseStream();

                itemlist = (ArrayList)XMLRead(stream);

                ItemEnumerator = itemlist.GetEnumerator();

                ShowItemList(ItemEnumerator);
            }
            catch (Exception exc)
            {
                MessageBox.Show(exc.Message, this.Name, MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                throw exc;
            }
            finally
            {
                stream.Close();
                this.Cursor = cursor;
            }
        }
        private void ShowItemList(IEnumerator argEnumerator)
        {
            Control hFindControl;
            int i = 0;

            while (ItemEnumerator.MoveNext())
            {
                string objname = "textBox" + (i + 1).ToString();
                hFindControl = MainWindow.FindControl(this, objname);
                if (hFindControl != null)
                {
                    hFindControl.Text += "Title:" + ((ItemInf)argEnumerator.Current).ItemName + "\r\n";
                    hFindControl.Text += "Price:" + ((ItemInf)argEnumerator.Current).ItemPrice + "\r\n";
                    hFindControl.Text += "Author" + ((ItemInf)argEnumerator.Current).ItemAuthor + "\r\n";
                    hFindControl.Text += "Publisher" + ((ItemInf)argEnumerator.Current).ItemPublisher;
                }
                objname = "Label" + (i + 1).ToString();
                hFindControl = MainWindow.FindControl(this, objname);

                if (hFindControl != null)
                {
                    hFindControl.Text += "URL:" + ((ItemInf)argEnumerator.Current).DetailPageURL;
                }

                drawImage(argEnumerator,i);    
                i++;
            }
        }

        public object XMLRead(System.IO.Stream xmlstream)
        {

            XmlTextReader reader = new XmlTextReader(xmlstream);
            ItemInf iteminf = null;
            ArrayList listiteminf = new ArrayList();
            Boolean kaktei_flg = false;
            Boolean imgflg = false;

            while (reader.Read())
            {
                if (!kaktei_flg && reader.NodeType == XmlNodeType.Element)
                {
                    if (reader.LocalName.Equals("Item"))
                    {
                        iteminf = new ItemInf();
                    }
                    else if (reader.LocalName.Equals("DetailPageURL"))
                    {
                        iteminf.DetailPageURL = reader.ReadString();
                    }
                    else if (reader.LocalName.Equals("MediumImage"))
                    {
                        while (!imgflg && reader.Read())
                        {
                            if (reader.LocalName.Equals("URL"))
                            {
                                iteminf.ImgURL = reader.ReadString();
                                imgflg = true;
                            }
                        }
                    }
                    else if (reader.LocalName.Equals("Author"))
                    {
                        iteminf.ItemAuthor = reader.ReadString();
                    }
                    else if (reader.LocalName.Equals("FormattedPrice"))
                    {
                        iteminf.ItemPrice = reader.ReadString();
                    }
                    else if (reader.LocalName.Equals("Publisher"))
                    {
                        iteminf.ItemPublisher = reader.ReadString();
                    }
                    else if (reader.LocalName.Equals("Title"))
                    {
                        iteminf.ItemName = reader.ReadString();
                        kaktei_flg = true;
                    }                  
                }
                else if (reader.NodeType == XmlNodeType.EndElement)
                {
                    if (reader.LocalName.Equals("Item"))
                    {
                        if (iteminf.ImgURL == "")
                        {
                            iteminf.ImgURL = "img\\noIMG.jpg";
                            iteminf.noimgflg = true;
                        }
                        listiteminf.Add(iteminf);
                        kaktei_flg = false;
                        imgflg = false;
                    }
                }

            }
            reader.Close();
            return listiteminf;
        }
        public void drawImage(IEnumerator argEnumerator,int index)
        {
            //イメージ描画
            Image image;
            WebClient wc = new WebClient();

            if (((ItemInf)argEnumerator.Current).noimgflg)
            {
                image = System.Drawing.Image.FromFile(((ItemInf)argEnumerator.Current).ImgURL);
            }
            else
            {
                MemoryStream mstream = new MemoryStream(wc.DownloadData(((ItemInf)argEnumerator.Current).ImgURL));
                image = Image.FromStream(mstream);
            }

            switch (index)
            {
                case 0:
                    PictureBox1.Image = image;
                    break;
                case 1:
                    PictureBox2.Image = image;
                    break;
                case 2:
                    PictureBox3.Image = image;
                    break;
                case 3:
                    PictureBox4.Image = image;
                    break;
                case 4:
                    PictureBox5.Image = image;
                    break;
                case 5:
                    PictureBox6.Image = image;
                    break;
                case 6:
                    PictureBox7.Image = image;
                    break;
                case 7:
                    PictureBox8.Image = image;
                    break;
                case 8:
                    PictureBox9.Image = image;
                    break;
                case 9:
                    PictureBox10.Image = image;
                    break;
            }
        }
    }   
}
